Bug 759574

Summary: collectd causes denial: system_u system_u (capability)
Product: [Fedora] Fedora Reporter: Jeff Raber <jeff.raber>
Component: collectdAssignee: Alan Pevec <apevec>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: apevec, dominick.grift, dwalsh, mail, mgrepl, tomek, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 03:56:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jeff Raber 2011-12-02 13:00:04 EST
collectd causes denial: system_u system_u (capability)

These denials are not reported by the SELinux Troubleshooter.  I can see them listed in /var/log/messages.  This denial occurs every 5 seconds (17280 times per day).

From /var/log/messages:

avc:  denied  { dac_read_search } for  pid=1085 comm="collectd" capability=2  scontext=system_u:system_r:collectd_t:s0 tcontext=system_u:system_r:collectd_t:s0 tclass=capability 

avc:  denied  { dac_override } for  pid=1085 comm="collectd" capability=1  scontext=system_u:system_r:collectd_t:s0 tcontext=system_u:system_r:collectd_t:s0 tclass=capability
Comment 1 Daniel Walsh 2011-12-02 13:23:49 EST
This means that collectd tried to read a file that root does not have permissions to access.

If you turn on full auditing with this command

# auditctl -w /etc/shadow -p w

Then try to get the AVC to happen again, we should get the path of what the system is complaining about.
Comment 2 Fedora End Of Life 2013-01-16 05:19:48 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 03:56:25 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.